<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['middleware' => 'auth'], function () {
    Route::get('/admin/events', '\Modules\Events\Http\Controllers\EventsAdminController@index')->name('admin.events.index');
    Route::post('/admin/events/store', '\Modules\Events\Http\Controllers\EventsAdminController@store')->name('admin.events.store');
    Route::put('/admin/events/update', '\Modules\Events\Http\Controllers\EventsAdminController@update')->name('admin.events.update');
    Route::delete('/admin/events/delete/{id}', '\Modules\Events\Http\Controllers\EventsAdminController@destroy')->name('admin.events.destroy');

    Route::put('/admin/events/texts/update', '\Modules\Events\Http\Controllers\EventsTextsController@update')->name('admin.events.texts.update');
});
